/*
 * Created on 2005-05-14
 */
package tests;

import junit.framework.TestCase;
import world.Location;
import world.WorldObject;

/**
 * Tests the WorldObject class.
 * @author Piotrek
 */
public class WorldObjectTest extends TestCase
{
	/**
	 * Tests the constructor.
	 * @author Piotrek
	 */
	public void testWorldObject()
	{
		WorldObject worldObject = new WorldObject(new Location(2, 7), "a");
		
		if (!worldObject.GetLocation().IsEqual(new Location(2, 7)))
			TestCase.fail("The WorldObject has assigned an unexpected location just after the construction.");
		
		if (worldObject.name.compareTo("a") != 0)
			TestCase.fail("The WorldObject has assigned an unexpected name just after the construction.");
	}
}
